Subject: Re: [RFC PATCH net-next 0/2] DT MDIO bus of fixed phys

From: Florian Fainelli <[email-masked]>
Date: Fri, 11 Mar 2016 15:38:58 -0800

On 11/03/16 15:36, Andrew Lunn wrote:
> On Fri, Mar 11, 2016 at 03:26:42PM -0800, Florian Fainelli wrote:
>> On 11/03/16 15:08, Andrew Lunn wrote:
>>> Currently, supporting a fixed-phy in a MAC driver is a bit messy. It
>>> needs to be explicit supported, since a fixed phy is somewhat
>>> different from a normal phy.
>>>
>>> These two patches solve this by making fixed-phys appear as normal
>>> PHYs within device tree, allowing them to be referenced by a phandle.
>>> Any MAC driver that supports phy-handle can then automatically support
>>> a fixed-phy without any code change.
>>
>> Humm, if that's the problem we want to solve, we could introduce a
>> helper function which tries to locate the phy using a 'phy-handle'
>> property
> 
> I don't follow you. Where do you get a phandle from to use with
> phy-handle?

>>From the caller of the function: the consumer of that phy-handle and/or
fixed-link property which is either an Ethernet MAC driver or a DSA's
switch port node.
-- 
Florian